version: '3'
services:
        trackhandler-test:
            container_name: trackhandler-integrationtest
            image: fjcapeletto/trackhandler:snapshot
            environment:
                - SPRING_PROFILES_ACTIVE=integrationtests
            ports:
                - "2977:2977"
            depends_on:
                - th-psql-test
        th-psql-test:
            container_name: trackhandlerdb-integrationtest-psql
            image: postgres
            restart: unless-stopped
            environment:
                - POSTGRES_USER=postgres
                - POSTGRES_PASSWORD=trackhandlerpwd
                - POSTGRES_DB=trackhandlerdb
            ports:
                - "6432:5432"
            volumes:
                - trackhandlertest_db:/var/lib/postgresql
                - postgresql_datatest:/var/lib/postgresql/data
        pgadmin-test:
            container_name: trackhandlerpgadmin-integrationtest
            image: dpage/pgadmin4
            restart: always
            environment:
                PGADMIN_DEFAULT_EMAIL: admin@admin.com
                PGADMIN_DEFAULT_PASSWORD: root
            ports:
                - "6051:80"

volumes:
    trackhandlertest_db: {}
    postgresql_datatest: {}


